import type { IServiceMetadata, MapToServicesType, ServiceType } from "../types/index.js";
export declare class ServiceRegistry {
    private static readonly services;
    static register<TClass extends abstract new (...args: MapToServicesType<TServices>) => any, TServices extends ServiceType<any>[] = []>(service: TClass, metadata: IServiceMetadata<TServices>): void;
    static has(service: any): boolean;
    static get(service: any): IServiceMetadata | undefined;
}
//# sourceMappingURL=ServiceRegistry.d.ts.map